<?php

namespace App\QcRules;

class SupplierInvoice_Filter_SupplierCountry extends FilterAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\QcRules\FilterAbstract::checkFields()
	 */
	public function checkFields(\App\QcRules\FieldsAbstract $fields, $context='')
	{
		$supplierCountry = \Entity\Supplier::select($fields->idSupplier)->countryCode;
		return $this->checkFields_oneValue($supplierCountry);
	}

}

